? patches/patch-ag
? patches/patch-ah
? patches/patch-ai
Index: distinfo
===================================================================
RCS file: /NetBSD/pkgsrc/security/policykit/distinfo,v
retrieving revision 1.1.1.1
diff -u -3 -p -r1.1.1.1 distinfo
--- distinfo	22 Nov 2008 03:33:38 -0000	1.1.1.1
+++ distinfo	23 Nov 2008 16:46:28 -0000
@@ -3,9 +3,12 @@ $NetBSD: distinfo,v 1.1.1.1 2008/11/22 0
 SHA1 (PolicyKit-0.9.tar.gz) = ac99c580eff72f6d5df261c155fb047306439f85
 RMD160 (PolicyKit-0.9.tar.gz) = 197262d1c48e55558dd4bd57d7bbd8734666129c
 Size (PolicyKit-0.9.tar.gz) = 1254318 bytes
-SHA1 (patch-aa) = e282bf87a44e22181a61d1a5a29dd79a9f17afef
-SHA1 (patch-ab) = f869ed7f6298e4a88761782dada27984dbea0481
+SHA1 (patch-aa) = aa47d66e3d514c56766f363ae08f222d65ad7c79
+SHA1 (patch-ab) = 32d9ecafd84ebf1329b17d4f5df9845591865772
 SHA1 (patch-ac) = cf4b1fcfec1f079c015672235996c5331801fb48
 SHA1 (patch-ad) = 7d34235b9672680a146fe676d84ccaa09432f52c
 SHA1 (patch-ae) = b6a8c945de5cd7e605494d8575075e74c58da6a1
-SHA1 (patch-af) = 3363521088d151015fb5670d7f100d15b42a1d54
+SHA1 (patch-af) = c15988b60a99443469a0399935bc51f99da4b454
+SHA1 (patch-ag) = 7f106c5d70afe94176664d8d28aab5f92453ee54
+SHA1 (patch-ah) = a1ae419a77bb3c8be02706bb67476af9443af92a
+SHA1 (patch-ai) = 9ec3744b394b0f6181a8a3367f0ce93e32b7fc4f
Index: patches/patch-aa
===================================================================
RCS file: /NetBSD/pkgsrc/security/policykit/patches/patch-aa,v
retrieving revision 1.1.1.1
diff -u -3 -p -r1.1.1.1 patch-aa
--- patches/patch-aa	22 Nov 2008 03:33:38 -0000	1.1.1.1
+++ patches/patch-aa	23 Nov 2008 16:46:28 -0000
@@ -7,7 +7,7 @@ $NetBSD: patch-aa,v 1.1.1.1 2008/11/22 0
  #include <sys/types.h>
  #include <sys/stat.h>
 -#ifdef HAVE_FREEBSD
-+#if defined(HAVE_FREEBSD) || defined(__NetBSD__)
++#if defined(HAVE_FREEBSD) || defined(__NetBSD__) || defined(__DragonFly__)
  #include <sys/param.h>
  #endif
  #include <security/pam_appl.h>
Index: patches/patch-ab
===================================================================
RCS file: /NetBSD/pkgsrc/security/policykit/patches/patch-ab,v
retrieving revision 1.1.1.1
diff -u -3 -p -r1.1.1.1 patch-ab
--- patches/patch-ab	22 Nov 2008 03:33:38 -0000	1.1.1.1
+++ patches/patch-ab	23 Nov 2008 16:46:28 -0000
@@ -7,7 +7,7 @@ $NetBSD: patch-ab,v 1.1.1.1 2008/11/22 0
  #include <string.h>
  #include <sys/types.h>
 -#if defined(HAVE_SOLARIS) || defined(HAVE_FREEBSD)
-+#if defined(HAVE_SOLARIS) || defined(HAVE_FREEBSD) || defined(__NetBSD__)
++#if defined(HAVE_SOLARIS) || defined(HAVE_FREEBSD) || defined(__NetBSD__) || defined(__DragonFly__)
  #include <sys/wait.h>
  #endif
  #include <pwd.h>
Index: patches/patch-af
===================================================================
RCS file: /NetBSD/pkgsrc/security/policykit/patches/patch-af,v
retrieving revision 1.1.1.1
diff -u -3 -p -r1.1.1.1 patch-af
--- patches/patch-af	22 Nov 2008 03:33:38 -0000	1.1.1.1
+++ patches/patch-af	23 Nov 2008 16:46:28 -0000
@@ -7,7 +7,7 @@ $NetBSD: patch-af,v 1.1.1.1 2008/11/22 0
          start_time = (unsigned long long) (info.pr_start.tv_sec);
  #else
 -#ifdef __FreeBSD__
-+#if defined(__FreeBSD__) || defined(__NetBSD__)
++#if defined(__FreeBSD__) || defined(__NetBSD__) || defined(__DragonFly__)
  	filename = kit_strdup_printf ("/proc/%d/status", pid);
  #else
          filename = kit_strdup_printf ("/proc/%d/stat", pid);
@@ -16,7 +16,7 @@ $NetBSD: patch-af,v 1.1.1.1 2008/11/22 0
          }
  
 -#ifdef __FreeBSD__
-+#if defined(__FreeBSD__) || defined(__NetBSD__)
++#if defined(__FreeBSD__) || defined(__NetBSD__) || defined(__DragonFly__)
          tokens = kit_strsplit (contents, ' ', &num_tokens);
          if (tokens == NULL)
                  goto out;
--- /dev/null	2008-11-23 18:34:41 +0200
+++ patches/patch-ag	2008-11-23 18:03:57 +0200
@@ -0,0 +1,25 @@
+$NetBSD$
+
+--- src/polkit/polkit-config.c.orig	2008-11-23 06:29:48 +0200
++++ src/polkit/polkit-config.c	2008-11-23 06:40:53 +0200
+@@ -556,15 +556,11 @@ config_node_match (ConfigNode *node, 
+                 
+                 str1 = kit_strdup_printf ("%d", uid);
+                 {
+-                        struct passwd pd;
+-                        struct passwd* pwdptr=&pd;
+-                        struct passwd* tempPwdPtr;
+-                        char pwdbuffer[256];
+-                        int  pwdlinelen = sizeof(pwdbuffer);
+-                        
+-                        if ((getpwuid_r (uid, pwdptr, pwdbuffer, pwdlinelen, &tempPwdPtr)) !=0 )
+-                                goto out;
+-                        str2 = kit_strdup (pd.pw_name);
++                        struct passwd *pd;
++
++                        pd = getpwuid (uid);
++                        if (pd != NULL)
++                                str2 = kit_strdup (pd->pw_name);
+                 }
+                 break;
+         }
--- /dev/null	2008-11-23 18:34:41 +0200
+++ patches/patch-ah	2008-11-23 18:34:16 +0200
@@ -0,0 +1,25 @@
+$NetBSD$
+
+--- src/polkit-grant/Makefile.in.orig	2008-11-23 18:17:57 +0200
++++ src/polkit-grant/Makefile.in	2008-11-23 18:18:56 +0200
+@@ -879,15 +879,15 @@ uninstall-am: uninstall-libLTLIBRARIES u
+ #
+ @POLKIT_AUTHDB_DEFAULT_TRUE@install-exec-hook:
+ @POLKIT_AUTHDB_DEFAULT_TRUE@	-chgrp $(POLKIT_GROUP) $(DESTDIR)$(libexecdir)/polkit-grant-helper
+-@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2755 $(DESTDIR)$(libexecdir)/polkit-grant-helper
++@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2555 $(DESTDIR)$(libexecdir)/polkit-grant-helper
+ @POLKIT_AUTHDB_DEFAULT_TRUE@@POLKIT_AUTHFW_PAM_TRUE@	-chgrp $(POLKIT_GROUP) $(DESTDIR)$(libexecdir)/polkit-grant-helper-pam
+-@POLKIT_AUTHDB_DEFAULT_TRUE@@POLKIT_AUTHFW_PAM_TRUE@	-chmod 4754 $(DESTDIR)$(libexecdir)/polkit-grant-helper-pam
++@POLKIT_AUTHDB_DEFAULT_TRUE@@POLKIT_AUTHFW_PAM_TRUE@	-chmod 4554 $(DESTDIR)$(libexecdir)/polkit-grant-helper-pam
+ @POLKIT_AUTHDB_DEFAULT_TRUE@@POLKIT_AUTHFW_SHADOW_TRUE@	-chgrp $(POLKIT_GROUP) $(DESTDIR)$(libexecdir)/polkit-grant-helper-shadow
+-@POLKIT_AUTHDB_DEFAULT_TRUE@@POLKIT_AUTHFW_SHADOW_TRUE@	-chmod 4750 $(DESTDIR)$(libexecdir)/polkit-grant-helper-shadow
++@POLKIT_AUTHDB_DEFAULT_TRUE@@POLKIT_AUTHFW_SHADOW_TRUE@	-chmod 4550 $(DESTDIR)$(libexecdir)/polkit-grant-helper-shadow
+ @POLKIT_AUTHDB_DEFAULT_TRUE@	-chgrp $(POLKIT_GROUP) $(DESTDIR)$(libexecdir)/polkit-explicit-grant-helper
+-@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2755 $(DESTDIR)$(libexecdir)/polkit-explicit-grant-helper
++@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2555 $(DESTDIR)$(libexecdir)/polkit-explicit-grant-helper
+ @POLKIT_AUTHDB_DEFAULT_TRUE@	-chgrp $(POLKIT_GROUP) $(DESTDIR)$(libexecdir)/polkit-revoke-helper
+-@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2755 $(DESTDIR)$(libexecdir)/polkit-revoke-helper
++@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2555 $(DESTDIR)$(libexecdir)/polkit-revoke-helper
+ 
+ @KIT_BUILD_TESTS_TRUE@@KIT_GCOV_ENABLED_TRUE@clean-gcov:
+ @KIT_BUILD_TESTS_TRUE@@KIT_GCOV_ENABLED_TRUE@	rm -f *.gcov .libs/*.gcda
--- /dev/null	2008-11-23 18:34:41 +0200
+++ patches/patch-ai	2008-11-23 18:34:26 +0200
@@ -0,0 +1,21 @@
+$NetBSD$
+
+--- src/polkit-dbus/Makefile.in.orig	2008-11-23 18:23:10 +0200
++++ src/polkit-dbus/Makefile.in	2008-11-23 18:24:55 +0200
+@@ -850,12 +850,12 @@ uninstall-am: uninstall-libLTLIBRARIES u
+ #
+ @POLKIT_AUTHDB_DEFAULT_TRUE@install-exec-hook:
+ @POLKIT_AUTHDB_DEFAULT_TRUE@	-chgrp $(POLKIT_GROUP) $(DESTDIR)$(libexecdir)/polkit-read-auth-helper
+-@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2755 $(DESTDIR)$(libexecdir)/polkit-read-auth-helper
++@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 2555 $(DESTDIR)$(libexecdir)/polkit-read-auth-helper
+ @POLKIT_AUTHDB_DEFAULT_TRUE@	-chown $(POLKIT_USER) $(DESTDIR)$(libexecdir)/polkit-set-default-helper
+-@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 4755 $(DESTDIR)$(libexecdir)/polkit-set-default-helper
+-@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 4755 $(DESTDIR)$(libexecdir)/polkit-resolve-exe-helper
++@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 4555 $(DESTDIR)$(libexecdir)/polkit-set-default-helper
++@POLKIT_AUTHDB_DEFAULT_TRUE@	-chmod 4555 $(DESTDIR)$(libexecdir)/polkit-resolve-exe-helper
+ @POLKIT_AUTHDB_DEFAULT_FALSE@install-exec-hook:
+-@POLKIT_AUTHDB_DEFAULT_FALSE@	-chmod 4755 $(DESTDIR)$(libexecdir)/polkit-resolve-exe-helper
++@POLKIT_AUTHDB_DEFAULT_FALSE@	-chmod 4555 $(DESTDIR)$(libexecdir)/polkit-resolve-exe-helper
+ 
+ @KIT_BUILD_TESTS_TRUE@@KIT_GCOV_ENABLED_TRUE@clean-gcov:
+ @KIT_BUILD_TESTS_TRUE@@KIT_GCOV_ENABLED_TRUE@	rm -f *.gcov .libs/*.gcda *.gcda
